export type PageResult<T = unknown> = {
  totalCount: number;
  pageCount: number;
  result: Array<T>;
};
export type PageParams<T = unknown> = T & {
  pageNumber: number;
  pageSize: number;
};

export interface ExamParams {
  examId: string;
}

export type ExamPageParams = PageParams<ExamParams>;

export interface ExamSubjectParams {
  examId: string;
  subjectCode: string;
}
export type ExamSubjectPageParams = PageParams<ExamSubjectParams>;

export interface RequestActionResult {
  updateTime: number;
}

// page
export interface AbleParams {
  id: string;
  enable: boolean;
}
