import { RouteRecordRaw } from "vue-router";
import Layout from "@/Layout/index.vue";
const routes: RouteRecordRaw[] = [
  {
    path: "/",
    name: "Login",
    component: () => import("@/views/Login/index.vue"),
  },
  {
    path: "/layout",
    name: "Layout",
    component: Layout,
    meta: {
      title: "首页",
    },
    children: [
      {
        path: "cur-exam",
        name: "CurExam",
        component: () => import("@/views/CurExam/index.vue"),
        meta: {
          title: "当前考试信息",
        },
      },
      {
        path: "base-data-config",
        name: "BaseDataConfig",
        component: () => import("@/views/BaseDataConfig/index.vue"),
        meta: {
          title: "基础数据配置",
        },
      },
      {
        path: "scan-manage",
        name: "ScanManage",
        component: () => import("@/views/ScanManage/index.vue"),
        meta: {
          title: "扫描管理",
        },
      },
      {
        path: "data-check",
        name: "DataCheck",
        component: () => import("@/views/DataCheck/index.vue"),
        meta: {
          title: "数据检查",
        },
      },
      // 图片检查
      {
        path: "image-check",
        name: "ImageCheck",
        component: () => import("@/views/ImageCheck/index.vue"),
        meta: {
          title: "图片检查",
        },
        children: [
          {
            path: "image-failed/:examId/:subjectCode",
            name: "ImageFailed",
            component: () => import("@/views/ImageCheck/ImageFailed.vue"),
            meta: {
              title: "图片异常",
            },
          },
        ],
      },
      // 结果导出
      {
        path: "result-export",
        name: "ResultExport",
        component: () => import("@/views/ResultExport/index.vue"),
        meta: {
          title: "结果导出",
        },
      },
    ],
  },
];
export default routes;
